/*
Gallery with caption
Author: KEITA HIRAI
URL: keitahirai.net
*/

$(function(){
	var heading = $("#inner-gallery h1"), // 見出しタイトル
		text = $("#inner-gallery p"), // 説明テキスト
		link = $("#inner-gallery a"), // リンクURL
		dfThumb = $("#inner-gallery-thumb img:first") // 先頭のサムネイル
	;

	// デフォルトのメインとサムネイル
	heading.text(dfThumb.attr("title"));
	text.text(dfThumb.attr("alt"));
	link.attr("href", $("#inner-gallery-thumb b:first").text());
	$("#inner-gallery-thumb li:first").addClass("active");

	var touch = ("ontouchstart" in document) ? "touchstart" : "click";
	$("#inner-gallery-thumb li").on(touch, function() {
		// メイン領域に画像を挿入
		$("#inner-gallery img").before('<img src="' + $(this).find("a").attr("href") + '">');
		// クリックする前の画像を削除
		$("#inner-gallery img:last").velocity("fadeOut", function() {
			$(this).remove()
		});

		// 見出し、テキスト、URLをコピー
		heading.text($(this).find("img").attr("title")).hide().velocity("fadeIn", {duration: 400});
		text.text($(this).find("img").attr("alt")).hide().velocity("fadeIn", {duration: 400});
		link.attr("href", $(this).find("b").text());

		$(this).addClass("active");
		$(this).siblings().removeClass("active");
		return false;
	});
});
